%global gitsnapshot 0
%if 0%{?gitsnapshot}
%global snapcommit 3a326fa2b18da2780cbfdcece8c4030606ddf648
%global snapcount 0
%global shortcommit %(c=%{snapcommit}; echo ${c:0:7})
%global snapver .git.%{snapcount}.%{shortcommit}
%endif

%global tagver 1.3

%global pidginver 2.13.0
%if 0%{?rhel} == 7
# Building 2.14.0 with the V/V bits on EPEL7 is non-trivial. IM only for now.
%global pidginver 2.10.11
%endif
%if 0%{mgaversion} == 6
%global pidginver 2.12.0
%endif

%bcond_without evolution # with

Name:           pidgin-chime
Summary:        Pidgin/libpurple protocol plugin for Amazon Chime
Version:        %{tagver}%{?snapver}
Release:        %mkrel 4

License:        LGPLv2
URL:            https://github.com/awslabs/%{name}
Group:          Networking/Instant messaging
%if 0%{?gitsnapshot}
Source0:        https://github.com/awslabs/%{name}/archive/%{snapcommit}/%{name}-%{shortcommit}.tar.gz
%else
Source0:        ftp://ftp.infradead.org/pub/%{name}/%{name}-%{version}.tar.gz
%endif

BuildRequires:  pkgconfig(pidgin) >= %{pidginver}
BuildRequires:  pkgconfig(purple) >= %{pidginver}
BuildRequires:  pkgconfig(gnutls) >= 3.2.0
BuildRequires:  pkgconfig(farstream-0.2)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-app-1.0)
BuildRequires:  pkgconfig(gstreamer-rtp-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(libprotobuf-c)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libsoup-2.4) >= 2.50
BuildRequires:  ImageMagick
%if %{with evolution}
BuildRequires:  pkgconfig(evolution-calendar-3.0)
BuildRequires:  pkgconfig(evolution-shell-3.0)
BuildRequires:  pkgconfig(evolution-data-server-1.2)
BuildRequires:  pkgconfig(libebook-1.2)
BuildRequires:  pkgconfig(libecal-2.0)
%endif # with evolution
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  libtool
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig(libgadu)
BuildRequires:  pkgconfig(libnm)
BuildRequires:  pkgconfig(libnsl)

Requires:       purple-chime%{?_isa} = %{version}-%{release}
Requires:       evolution-chime
Requires:       pidgin >= %{pidginver}

%description
A plugin for the Pidgin multi-protocol instant messenger, to support Amazon
Chime.

This package provides the icon set for Pidgin, and a UI plugin to indicate
seen messages.

%package -n purple-chime
Summary:  Libpurple protocol plugin for Amazon Chime
Group:    Networking/Instant messaging

%description -n purple-chime
A plugin for the Pidgin multi-protocol instant messenger, to support Amazon
Chime.

This package provides the Amazon Chime protocol support for the libpurple
messaging library, which is used by Pidgin and other tools.


%if %{with evolution}
%package -n evolution-chime
Summary:  Evolution plugin for Amazon Chime
Group:    Networking/Instant messaging
Requires: pidgin-chime = %{version}

%description -n evolution-chime
A plugin for Evolution that allows you to create meetings in Amazon Chime.
%endif # with evolution

%prep
%if 0%{?gitsnapshot}
%setup -q -n %{name}-%{snapcommit}
NOCONFIGURE=x ./autogen.sh
%else
%setup -q
%endif

%build
[[ -e depcomp ]] || autoreconf -vfi
%configure \
%if %{without evolution}
  --without-evolution \
%endif # without evolution
  --with-certsdir=%{_sysconfdir}/pki/purple-chime/cacerts;

# For some reason configure ends up deleting depcomp and reverting automake updates above
aclocal && automake --add-missing && automake

# Without this, pidgin_conversations_get_handle and gtk_imhtml_get_type are undefine symbols
# which are from pidgin binary itself
perl -pi -e 's/-Wl,--no-undefined//g' chimeseen/Makefile
# prevent ./config.status, calle from the Makefile, from breaking the edit above
perl -pi -e 's,./config.status --recheck, -c 'true',g' Makefile

%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete
%find_lang %{name}

%check
make %{?_smp_mflags} check

%files
%{_datadir}/pixmaps/pidgin/protocols/*/chime*
%{_libdir}/pidgin/chimeseen.so

%files -n purple-chime -f %{name}.lang
%{_libdir}/purple-2/libchimeprpl.so
%{_libdir}/farstream-0.2/libapp-transmitter.so
%{_libdir}/gstreamer-1.0/libgstchime.so
%dir %{_sysconfdir}/pki/purple-chime
%dir %{_sysconfdir}/pki/purple-chime/cacerts
%{_sysconfdir}/pki/purple-chime/cacerts/*.pem

%license LICENSE
%doc README.md TODO

%if %{with evolution}
%files -n evolution-chime
%{_libdir}/evolution/modules/module-event-from-template.so
%endif # with evolution



%changelog
* Sat Jan 23 2021 tmb <tmb> 1.3-4.mga8
+ Revision: 1673103
- rebuild for new libical

* Wed Jan 06 2021 daviddavid <daviddavid> 1.3-3.mga8
+ Revision: 1669173
- add build dependency on pkgconfig(libnsl) to fix build

* Thu Aug 13 2020 ovitters <ovitters> 1.3-2.mga8
+ Revision: 1613763
- rebuild for evolution-data-server

* Sun Apr 19 2020 buchan <buchan> 1.3-1.mga8
+ Revision: 1569935
- Update to 1.3

* Sun Feb 23 2020 umeabot <umeabot> 1.2-3.mga8
+ Revision: 1549550
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Aug 10 2019 tv <tv> 1.2-2.mga8
+ Revision: 1428617
- rebuild with latest libecal

* Sat Jul 06 2019 daviddavid <daviddavid> 1.2-1.mga8
+ Revision: 1418994
- new version: 1.2

* Thu Mar 14 2019 daviddavid <daviddavid> 1.1-4.mga7
+ Revision: 1376187
- rebuild for new evolution-data-server

* Thu Oct 04 2018 daviddavid <daviddavid> 1.1-3.mga7
+ Revision: 1317772
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 daviddavid <daviddavid> 1.1-2.mga7
+ Revision: 1252473
- rebuild for new evolution-data-server 3.29.90

* Fri May 25 2018 buchan <buchan> 1.1-1.mga7
+ Revision: 1232195
- New version 1.1

* Sun May 13 2018 buchan <buchan> 1.0-1.mga7
+ Revision: 1229185
- imported package pidgin-chime

